*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Kumbh Sans', sans-serif;
}

/* NAVIGATION BAR CSS */
.navbar{
    background: #f8f6f6;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    position: sticky;
    top: 0;
    z-index: 999;
}

.navbar__container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 2000px;
    margin: 0 auto;
    padding: 0 50px;
}   

#navbar__logo {
    background-color: #4B197B;
    background-image: linear-gradient(to top, #770999, #fafafa, 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
}

.fa-gem {
    margin-right: 0.5rem;
}

.navbar__menu {
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;
}

.navbar__item {
    height: 80px;
}

.navbar__links {
    color: #131313;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
    width: max-content;
}

.navbar__btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 20px;
    height: 100%;
    width: 100%;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #770999;
    color: #fafafa;
}

.button:hover {
    background: #ac14ba;
    transition: all 0.3s ease;
}

.navbar__links:hover {
    background: #c177d7;
    transition: all 0.3s ease;
}

@media screen and (max-width: 960px) {
    .navbar__container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0;
}

.navbar__menu {
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 0; 
    transition: all 0.5s ease;
    z-index: -1;
    background: #131313;

}

.navbar__menu.active {
    background: #fafafa;
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 50vh;
    font-size: 1.6rem;
}

#navbar__logo {
    padding-left: 25px;
}

.navbar__toggle .bar{
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease;
    background: #fafafa;
}

.navbar__item {
    width:100%;
}

.navbar__links {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
}

#mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
}

.navbar__btn {
    padding-bottom: 2rem;
}

.button {
     display: flex;
     justify-content: center;
     align-items: center;
     width: 60%;
     height: 60px;
     margin: 20px;
}

.navbar__toggle .bar {
    display: block;
    cursor: pointer;
    background-color: #4B197B;
}

#mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
}

#mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

#mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

}


/* SERVICES PAGE */

.Serviceslist {
    color: #131313;
    font-size: 1rem;
    margin: 40px;
    text-decoration: non;
}

/* HERO SECTION CSS*/

.main__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-self: center;
    margin: 0 auto;
    height: 90vh;
    background-color: none;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0 50px;
}

.main__content h1{
    font-size: 4rem;
    background-color: #4B197B;
    background-image: linear-gradient(to top, #4B197B 0%, #da8bec 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;


}

.main__content h2{
    font-size: 3rem;
    background-color: #4B197B;
    background-image: linear-gradient(to top, #b721ff 0%, #21d3fd 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.main__content p {
    margin-tim: 1rem;
    font-size: 2rem;
    font-weight: 700;
    color: #4B197B;
    
}

.main__btn {
    font-size: 1rem;
    background-image: linear-gradient(to top, #f77062 0%, #4B197B 100%);
    padding: 14px 32px;
    border: none;
    border-radius: 4px;
    color: #fafafa;
    margin-top: 2rem;
    cursor: pointer;
    position: relative;
    transition: all 0.35s;
    outline: none;
}

.main__btn a {
    position: relative;
    z-index: 2;
    color: #fafafa;
    text-decoration: none;
}

.main__btn:after {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #b721ff;
    transition: all 0.35s;
    border-radius: 4px;
}

.main__btn:hover {
    color: #fafafa;

}

.main__btn:hover::after {
    width: 100%;
}

.main__img--container {
    text-align: center;
    width: 100vh;
}

#main__img {
    height: 80%;
    width: 80%;
}

/* MOBILE RESPONSIVE HERO SECTION */

@media screen and (max-width: 768px) {
    .main__container {
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        justify-self: center;
        width: 100%;
        margin: 0 auto;
        height: 90vh;
    }

    .main__content {
        text-align: center;
        margin-bottom: 4rem;
    }

    .main__content h1 {
        font-size: 2.5rem;
        margin-top: 2rem;
    }

    .main__content h2 {
    font-size: 3rem;
    }

    .main__content p {
    margin-top: 1rem;
    font-size: 1.5rem;
    }
    
}

@media screen and (max-width: 480px) {
    .main__content h1 {
        font-size: 2 rem;
        margin-top: 3rem;
    }

    .main__content h2 {
        font-size: 2rem;
    }

    .main__content p {
        margin-top: 2rem;
        font-size: 1.5rem;
    }

    .main__btn {
        padding: 12px 36px;
        margin: 2.5rem 0;
    }    
}

/* SERVICES SECTION CSS*/

.services {
    background: none;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services h1 {
    background-color: #7e28cf;
    background-image: linear-gradient(
        to right,
        #dfcdf0 0%,
        #7e28cf 0%,
        #631aa7 0%,
        #4d0e88 0%,
        #904dce 0%,
        #945dc7 0%

    );
    background-size: 100%;
    margin-bottom: 5rem;
    font-size: 2.5rem;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.services__container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.services__card {
    margin: 2.5rem;
    height: 525px;
    width: 1200px;
    border-radius: 4px;
    background-image: linear-gradient(to bottom,  #ff0000 0%,  #ffff99 100%);
 /* background-image: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(17,17,17,17) 100%), url('/images/customewebsite.jpg'); */
    background-size: cover;
    position: relative;
    color: #fafafa;
}

.services__card:nth-child(2) {
    
    background-image: linear-gradient(to bottom,  #cc33ff 0%,  #66ffff 100%);

/*  background-image: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(17,17,17,17) 100%), url('/images/wordpresswebsite.jpg'); */
}

.services h2{
    
    position: absolute;
    text-align: center;
    width: 100%;
    font-size: 6rem;
    top: 100px;
    
    /*
    position: absolute;
    top: 350px;
    left: 30px;
    */
}

.services p{
    position: absolute;
    top: 400px;
    left: 30px;
}

.services__card .btn {
    color: #fafafa;
    padding: 10px 20px;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #904dce;
    position: absolute;
    top: 440px;
    left: 30px;
    font-size: 1rem;
    cursor: pointer;
    text-decoration: none;
}

.services__card:hover {
    transform: scale(1.075);
    transition: 0.25s ease-in;
}

@media screen and (max-width: 960px) {
    .services {
        height: 1600px;
    }
    .services h1 {
        font-size: 2rem;
        margin-top: 12rem;
    }
}

@media screen and (max-width: 480px) {
    .services {
        height: 1400px;
    }
    .services h1 {
        font-size: 1.2rem;
    }
    .services__card {
        width: 300px;
    }
}

/* FOOTER CSS*/

.footer__container {
    background-color: #131313;
    padding: 5rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#footer__logo {
    color: #fafafa;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem; 
}

.footer__links {
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: center;
}

.footer__link--wrapper {
    display: flex;
    gap: 60px;
}

.footer__link--items {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 16px;
    text-align: left;
    width: fit-content;           /* ← Main Fix */
    min-width: 180px;             /* Prevents it from becoming too narrow */
    max-width: 240px;
    box-sizing: border-box;
}

.footer__link--items > h2 {
    margin-bottom: 16px;
}


.footer__link--items h2 {
    color: #fafafa;
}

.footer__link--items a {
    color: #fafafa;
    text-decoration: none;
    margin-bottom: 0.5rem;
}

.footer__link--items a:hover {
    color: #131313;
    transition: 0.3s ease-out;
}

/* SOCIAL ICONS*/

.social__icon--link {
    color: #fafafa;
    font-size: 24px;
}

.social__media {
    max-width: 1000px;
    width: 100%;
}

.social__media--wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1000px;
    margin: 40px auto 0 auto;
}

.social__icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 240px;
}

.social__logo {
    color: #fafafa;
    justify-self: flex-start;
    margin-left: pointer;
    text-decoration: none;
    font-size: 2rem;
    display: flex;
    align-items: center;
    margin-bottom: 16px;
}

.website__rights {
    color: #fafafa;
}

@media screen and (max-width: 820px) { 
    .footer__links {
        padding-top: 2rem;
    }

    #footer__logo {
        margin-bottom: 2rem;
    }

    .website__rights {
        margin-bottom: 2rem;
    }

    .footer__link--wrapper {
        flex-direction: column;
    }

    .social__media--wrap {
        flex-direction: column;
    }
}

@media screen and (max-width: 480px) {
    .footer__link--items {
        margin: 0;
        padding: 10px;
        width: 100%;
    }
}

/* FORM CSS*/

.main__form {
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
    flex-direction: column;
    gap: 0.5rem;
}

.form__container {
    max-width: 700px;
    width: 100%;
    background: #fafafa;
    padding: 25px 30px;
    border-radius: 5px;
    margin-top: 0;
}

.form__container .title {
    font-size: 25px;
    font-weight: 500;
    position: relative;
}

.form__container .title::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 30px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);

}

.form__container form .input__box {
    display: flex;
    flex-wrap: wrap;
}

.form__container .input__box {
    height: 45px;
    width: 100%;
    margin: 20px 0 12px 0;
    margin-bottom: 15px;
    outline: none;
    border-radius: 5px;
    padding-left: 15px;
    font-size: 16px;
    border-color: #9b59b6;
}

.form__container .input__box input:focus,
.form__container .input__box input:valid{
    border-color: #9b59b6;
}

.form__container .submit__button input {
    height: 45px;
    width: 100%;
    outline: none;
    color: #fafafa;
    border: none;
    font-size: 18px;
    font-weight: 500;
    border-radius: 5px;
    letter-spacing: 1px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
    justify-content: center;
    align-items: center;
    margin: 45px 0;
}


.form__container .submit__button input:hover {
    background: linear-gradient(-135deg, #71b7e6, #9b59b6);
    transition: all 0.8s ease;
}  

.form__container #f__name {
    align-items: center;
    font-size: large;
    margin-top: 8px;
    justify-content: center;
    width: 100%;
    height: 40px;
}

.form__container #m__number {
    align-items: center;
    font-size: large;
    margin-top: 8px;
    justify-content: center;
    width: 100%;
    height: 40px;
}

.form__container #b__name {
    align-items: center;
    font-size: large;
    margin-top: 8px;
    justify-content: center;
    width: 100%;
    height: 40px;
}

/* SERVICE PAGE SEPARATE FROM NAVIGATION BAR CSS */

.service__container2 {
    min-height: 100vh;
    width: 100%;
    background-color: #191a2b;

}

.service__wrapper2 {
    padding: 5% 8%;
}

.service2 {
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
   color: #fafafa;
   font-size: 5rem; 
   -webkit-text-stroke-width: 2px;
   -webkit-text-stroke-color: transparent;
   letter-spacing: 4px;
   background-color: rgb(4, 52, 83);
   background: linear-gradient(8deg, rgba(8,52,83,1) 0%, rgba(155, 89, 182, 1), rgba(113, 183, 230, 1.0) 100%);
   -webkit-background-clip: text;
   -webkit-text-fill-color: transparent;
   position: relative;
}

h1:after {
    content: " ";
    position: absolute;
    top: 100%;
    left: 10%;
    height: 8px;
    width: 80%;
    border-radius: 8px;
    background-color: rgba(255, 255, 255, 0.05);
} 


h1 span{
    position: absolute;
    top: 100%;
    left: 10%;
    height: 8px;
    width: 80%;
    border-radius: 50%;
    background-color: #72e2ae;
    animation: anim 5s linear infinite;
}

@keyframes anim {
    95%{
        opacity: 1;
    }
    100% {
        opacity: 0;
        left: 90%;
    }
}


.cards2{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
    margin-top: 80px;
}

.card2{
    height: 330px;
    width: 370px;
    background-color: #1c2335;
    padding: 3% 8%;
    border: 0.2px solid rgb(114, 226, 174,0.2);
    border-radius: 8px;
    transition: .6s;
    display: flex;
    align-items: center;
    flex-direction: column;
    position: relative;
    overflow: hidden;
    color: #fafafa;
}

.card2::after{
    content: "";
    position: absolute;
    top: 150%;
    left: -200px;
    width: 120%;
    transform: rotate(50deg);
    background-color: #fafafa;
    height: 18px;
    filter: blur(30px);
    opacity: 0.5;
    transition: 1s;
}

.card2:hover:after{
    width: 225%;
    top: -100%;
}
.card2 i{
    color: #fafafa;
    font-size: 20px;
    font-weight: 600;
    letter-spacing: 1px;
}

.card2 p{
    text-align: center;
    width: 100%;
    margin: 12px 0;
    color: rgba(255, 255, 255, 0.6);
}

.card2:hover{
    background-color: transparent;
    transform: translateY(-8px);
    border-color: #00ff37;
}

.card2:hover i{
    color: #00ff37;
}

@media screen and (max-width:1200px) {
    .cards2 {
        grid-template-columns: repeat(2,1fr);
    }
}

@media screen and (max-width:900px) {
    .cards2 {
        grid-template-columns: repeat(1,1fr);
    }
    h1{
        font-size: 3.5rem;
    }
}


/* ABOUT US PAGE CSS */

.aboutus {
    width: 100%;
    padding: 78px 0px;
    background-color: #fafafa;

}

.aboutus img{
    height: auto;
    width: 420px;
}

.main {
    width: 1130px;
    max-width: 95%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.about__text h1{
    color: #fafafa;
    font-size: 80px;
    text-transform: capitalize;
    margin-bottom: 20px;
}

.about__text h5 {
    color: #fafafa;
    font-size: 25px;
    text-transform: capitalize;
    margin-bottom: 25px;
    letter-spacing: 2px;
}

.about__text p{
    color: #131313;
    letter-spacing: 1px;
    line-height: 28px;
    font-size: 18px;
    margin-bottom: 45px;
}

/* DEMO FEATURE CSS */

#image__track > .image {
    width: 40vmin;
    height: 56vmin;
    object-fit: cover;
    object-position: center;
}

#image__track {
    display: flex;
    gap: 4vmin;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(0%, -50%);
    user-select: none;
    overflow: hidden;
    width: 100%;
    height: 100vh;
}

#image__track > .image {
  width: 40vmin;
  height: 56vmin;
  object-fit: cover;
  object-position: 100% center;
  border-radius: 12px;
}



/* CALL BUTTON CSS */

.directcontact__buttons {
    display: grid;
}

.call__button {
    display: flex;
    position: fixed;
    align-items: center;
    border: none;
    border-radius: 0;
    font-size: 1.1rem;
    cursor: pointer;
    left: 10%;
    bottom: 4%;
        z-index: 1;

    
} 

.call__button img {
    filter: none;
    background: transparent;
    box-shadow: none;
    padding: 0;
    margin: 0;
    image-rendering: -webkit-optimize-contrast;
    z-index: 1;

}

.whatsapp__button {
    display: flex;
    align-items: center;
    border: none;
    border-radius: 0;
    font-size: 1.1rem;
    cursor: pointer;
    position: fixed;
    left: 88%;
    bottom: 4%;
    z-index: 1;

}

.call__button img {
    filter: none;
    z-index: 1;

}

/* CONTACT US PAGE CSS*/

.contact__number {
    display: flex;
    flex-direction: column;   /* forces vertical stacking */
    gap: 0.4rem; 
    font-size: 2rem;  
    text-align: center;
    justify-content: flex-start; 
    margin-bottom: 0;
}

